Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163558 - /etc/X11/prefdm splits xdm/gdm/etc. params with embedded space
Summary: /etc/X11/prefdm splits xdm/gdm/etc. params with embedded space
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On: 154312
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-18 21:01 UTC by Bill Nottingham
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-607
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 15:47:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:607 qe-ready SHIPPED_LIVE initscripts and hotplug bug fix update 2005-10-05 04:00:00 UTC

Description Bill Nottingham 2005-07-18 21:01:47 UTC
+++ This bug was initially created as a clone of Bug #154312 +++

Description of problem:
/etc/X11/prefdm, a shell script and a part of initscripts, used to launch
X11 display manager from /etc/inittab, doesn't pass parameters containing
spaces to *dm correctly - it splits such parameters using whitespace as
a delimiter. This behavious breaks things like:

   /etc/X11/prefdm -server ":0 local /usr/X11R6/bin/X ...

Version-Release number of selected component (if applicable):
7.93.7-1 (i.e., current FC3 update)

How reproducible:
Run the following by hand, with no xserver running. Observe parameters passed
to xdm (gdm, kdm etc.) or, for example, xdm output.

Steps to Reproduce:
1. /etc/X11/prefdm -server ":0 local /usr/X11R6/bin/X"
2. tail /var/log/xdm-errors

Actual results:
"xdm error (pid 9491): Missing display type for :0"
Xserver doesn't started

Expected results:
Xserver stdout and/or stderr output, Xserver running

OTOH it would be nice if prefdm sends *dm output to a different than /dev/null
location. These is a bug report about that open for few years, I think.

Comment 3 Bill Nottingham 2005-07-21 17:44:04 UTC
Fixed in 7.93.14.EL-1.

Comment 4 Red Hat Bugzilla 2005-10-05 15:47:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-607.html



Note You need to log in before you can comment on or make changes to this bug.